Package org.gradle.api.file

# Enum Class FileCollection.AntType

java.lang.Object
java.lang.Enum<FileCollection.AntType>
org.gradle.api.file.FileCollection.AntType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileCollection.AntType>`, `Constable`

Enclosing interface:
  `FileCollection`

public static enum FileCollection.AntType extends Enum<FileCollection.AntType>
Ant types which a `FileCollection` can be mapped to.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FileSet`
`MatchingTask`
`ResourceCollection`

## Method Summary

Modifier and Type
Method
Description
`static FileCollection.AntType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileCollection.AntType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MatchingTask

public static final FileCollection.AntType MatchingTask

### FileSet

public static final FileCollection.AntType FileSet

### ResourceCollection

public static final FileCollection.AntType ResourceCollection

## Method Details

### values

public static FileCollection.AntType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FileCollection.AntType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null